#ifndef DIALSETPARSER_H_INCLUDED
#define DIALSETPARSER_H_INCLUDED

#include <qstring.h>
#include <qlist.h>

class QDomElement;
class DialSet;
class DialKey;

class DialSetParser
{
public:
	DialSetParser( const QString &xmlInput );
	~DialSetParser();

	bool isValid() const { return isvalid; }

	DialSet *getDialSet( int id );
	int count();

protected:
	void setValid( bool valid );
	void parseDialSet( QDomElement &elem, DialSet *curset );
	void parseKey( QDomElement &elem, DialKey *curkey );

	QList<DialSet> dialsets;
	bool isvalid;
};

#endif // DIALSETPARSER_H_INCLUDED
